Package com.google.android.exoplayer2.util

## Class NalUnitUtil.SpsData

- java.lang.Object
- - com.google.android.exoplayer2.util.NalUnitUtil.SpsData

- Enclosing class:
    NalUnitUtil

      public static final class NalUnitUtil.SpsData
      extends Object

  Holds data parsed from a sequence parameter set NAL unit.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `constraintsFlagsAndReservedZero2Bits` |
    `boolean` | `deltaPicOrderAlwaysZeroFlag` |
    `boolean` | `frameMbsOnlyFlag` |
    `int` | `frameNumLength` |
    `int` | `height` |
    `int` | `levelIdc` |
    `int` | `picOrderCntLsbLength` |
    `int` | `picOrderCountType` |
    `float` | `pixelWidthAspectRatio` |
    `int` | `profileIdc` |
    `boolean` | `separateColorPlaneFlag` |
    `int` | `seqParameterSetId` |
    `int` | `width` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpsData​(int profileIdc, int constraintsFlagsAndReservedZero2Bits, int levelIdc, int seqParameterSetId, int width, int height, float pixelWidthAspectRatio, boolean separateColorPlaneFlag, boolean frameMbsOnlyFlag, int frameNumLength, int picOrderCountType, int picOrderCntLsbLength, boolean deltaPicOrderAlwaysZeroFlag)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### profileIdc

          public final int profileIdc

    - #### constraintsFlagsAndReservedZero2Bits

          public final int constraintsFlagsAndReservedZero2Bits

    - #### levelIdc

          public final int levelIdc

    - #### seqParameterSetId

          public final int seqParameterSetId

    - #### width

          public final int width

    - #### height

          public final int height

    - #### pixelWidthAspectRatio

          public final float pixelWidthAspectRatio

    - #### separateColorPlaneFlag

          public final boolean separateColorPlaneFlag

    - #### frameMbsOnlyFlag

          public final boolean frameMbsOnlyFlag

    - #### frameNumLength

          public final int frameNumLength

    - #### picOrderCountType

          public final int picOrderCountType

    - #### picOrderCntLsbLength

          public final int picOrderCntLsbLength

    - #### deltaPicOrderAlwaysZeroFlag

          public final boolean deltaPicOrderAlwaysZeroFlag

  - ### Constructor Detail

    - #### SpsData

          public SpsData​(int profileIdc,
                         int constraintsFlagsAndReservedZero2Bits,
                         int levelIdc,
                         int seqParameterSetId,
                         int width,
                         int height,
                         float pixelWidthAspectRatio,
                         boolean separateColorPlaneFlag,
                         boolean frameMbsOnlyFlag,
                         int frameNumLength,
                         int picOrderCountType,
                         int picOrderCntLsbLength,
                         boolean deltaPicOrderAlwaysZeroFlag)